%define upstream_name List-MoreUtils-XS
%define upstream_version 0.430

Name:       perl-%upstream_name
Version:    %upstream_version
Release:    %mkrel 1
Summary:    Provide compiled List::MoreUtils functions
Group:      Development/Perl
# Code from List-MoreUtils < 0.417 is GPL+ or Artistic
# Anything after that is ASL 2.0
# "git blame" on the upstream repo will probably be needed to
# determine the license of any particular chunk of code
License:    (GPL+ or Artistic) and ASL 2.0
Url:        https://metacpan.org/release/List-MoreUtils-XS
Source0:    https://cpan.metacpan.org/authors/id/R/RE/REHSACK/List-MoreUtils-XS-%{version}.tar.gz
Patch0:     List-MoreUtils-XS-0.430-unbundle.patch
# Module Build

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::AutoConf)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader) >= 0.220.0
BuildRequires: perl(base)
BuildRequires: findutils
BuildRequires: perl-devel
# Module Runtime

# Test Suite

# Runtime
Requires:   perl(List::MoreUtils) >= 0.418

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides accelerated versions of functions in List::MoreUtils.

%prep
%setup -q -n List-MoreUtils-XS-%{version}

# Unbundle bundled modules except private inc::Config::AutoConf::LMU
%patch0
find inc/ -type f ! -name LMU.pm -print -delete

%build
perl Makefile.PL \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{optflags}"\
	NO_PERLLOCAL=1 \
	NO_PACKLIST=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license ARTISTIC-1.0 GPL-1 LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/auto/List/
%{perl_vendorarch}/List/
%{_mandir}/man3/List::MoreUtils::XS.3*


%changelog
* Thu Oct 22 2020 tv <tv> 0.430-1.mga8
+ Revision: 1638260
- update to 0.430

* Wed Jun 17 2020 pterjan <pterjan> 0.428-7.mga8
+ Revision: 1594123
- Clean rebuild
- Clean rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.428-5.mga8
+ Revision: 1530393
- Mageia 8 Mass Rebuild
+ tv <tv>
- do not need perl-List-MoreUtils

* Tue Aug 27 2019 tmb <tmb> 0.428-4.mga8
+ Revision: 1434547
- force testing package for perl 5.30
- rebuild for missing signature
- rebuild for perl-5.30.0-4.mga8
+ tv <tv>
- rebuild with perl-5.30 on BS (for missing signature)

* Sat Oct 20 2018 tv <tv> 0.428-1.mga7
+ Revision: 1322713
- BR perl(Config::AutoConf)
- BR perl(Capture::Tiny)
- update to 0.428
- update to 0.428

* Fri Sep 21 2018 umeabot <umeabot> 0.426-4.mga7
+ Revision: 1293338
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.426-3.mga7
+ Revision: 1247845
- rebuild for missing signatures
+ tv <tv>
- rebuild with perl-5.28.0

* Tue Oct 03 2017 guillomovitch <guillomovitch> 0.426-1.mga7
+ Revision: 1167679
- new version 0.426

* Tue Oct 03 2017 tv <tv> 0.423-4.mga7
+ Revision: 1165262
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.423-3.mga7
+ Revision: 1155456
- rebuild with perl w/o 64int suffix

* Fri Sep 15 2017 tv <tv> 0.423-2.mga7
+ Revision: 1154353
- rediff patch
- new release

* Tue Sep 05 2017 tv <tv> 0.418-5.mga7
+ Revision: 1151378
- rebuild with fixed perl
+ pterjan <pterjan>
- Rebuild for perl ABI changes

* Sat Jul 22 2017 tv <tv> 0.418-3.mga7
+ Revision: 1127830
- rebuild for core/release

* Sat Jul 22 2017 tv <tv> 0.418-2.mga7
+ Revision: 1127816
- build with new perl

* Thu Jul 20 2017 tv <tv> 0.418-1.mga7
+ Revision: 1125406
- imported package perl-List-MoreUtils-XS

